:root {
    --dark: #242423;
}

html {
    box-sizing: border-box;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

html,
body {
    min-height: 100vh;
}

body {
    background-color: white;
    font-family: 'Noto Sans', sans-serif;
    font-size: 14px;
    color: var(--dark);
    line-height: 1.3;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-tap-highlight-color:rgba(0,0,0,0); /* a 标签取消背景色 */
}

.logo,
h1,
h2 {
    margin: 0;
    line-height: 1;
    font-family: 'Cinzel', serif;
    font-weight: 400;
}

p {
    margin: 0;
}

.stage {
    position: relative;
    background: white;
    visibility: hidden;
}

/*  ========================================================================== 
    Nav Header
    ========================================================================== */
.header {
    position: fixed;
    left: 40px;
    top: 24px;
    z-index: 100;
    display: -webkit-box;
    display: flex;
}

@media all and (max-width: 768px) {
    .header {
        display: block;
        left: 24px;
    }
}

.logo {
    font-size: 27px;
    letter-spacing: -1px;
}

.nav-btn,
.nav-btn__svg {
    width: 56px;
    height: 30px;
}

.nav-btn {
    display: block;
    margin: -2px 0 0 56px;
}

@media all and (max-width: 768px) {
    .nav-btn {
        margin: 18px 0 0 -6px;
    }
}

.nav-btn__svg {
    pointer-events: none;
}

/*  ========================================================================== 
    Intro
    ========================================================================== */
.intro,
.footer {
    height: 100vh;
}

.intro {
    position: relative;
    padding: 5vw;
    background: #225f38;
    overflow: hidden;
}

.intro__content {
    position: absolute;
    right: 8%;
    bottom: 15%;
    z-index: 3;
}

@media all and (max-width: 768px) {
    .intro__content {
        right: auto;
    }
}

.intro__title {
    font-size: 25vw;
    overflow: hidden;
    letter-spacing: -2.3vw;
    padding-right: 2.3vw;
}

@media all and (max-width: 768px) {
    .intro__title {
        margin-bottom: 5vh;
    }
}

.intro__img {
    position: absolute;
    width: 35%;
    max-width: 390px;
    height: auto;
}

@media all and (max-width: 768px) {
    .intro__img {
        width: 75vw;
    }
}

.intro__img--1 {
    z-index: 2;
    left: 10%;
    bottom: 35%;
}

@media all and (max-width: 768px) {
    .intro__img--1 {
        left: 50%;
        bottom: 50vh;
        transform: scale(.75) translate(-45%, 20%);
    }
}

.intro__img--2 {
    z-index: 1;
    left: 25%;
    bottom: 40%;
}

@media all and (max-width: 768px) {
    .intro__img--2 {
        left: 70%;
        bottom: 60vh;
        transform: scale(.9) translate(-44%, 14%);
    }
}

.intro__txt {
    font-family: '方正姚体';
    max-width: 35vw;
    position: absolute;
    right: 12vw;
}

@media all and (max-width: 768px) {
    .intro__txt {
        max-width: 80vw;
        margin-left: 5vw;
    }
}

/*  ========================================================================== 
    Slides
    ========================================================================== */
.slide {
    display: -webkit-box;
    display: flex;
    -webkit-box-align: stretch;
    align-items: stretch;
    height: 100vh;
    overflow: hidden;
}

.slide:nth-of-type(even) {
    background: #C4CDC4;
}

@media all and (max-width: 768px) {
    .slide {
        display: block;
        position: relative;
    }
}

/*  Columns
    ========================================================================== */
.col {
    flex-basis: 50%;
}

@media all and (max-width: 768px) {
    .col {
        display: block;
        width: 100%;
        height: 100vh;
    }
}

.col--1 {
    position: relative;
    z-index: 1;
}

@media all and (max-width: 768px) {
    .col--1 {
        position: relative;
        z-index: 1;
    }
}

.col--2 {
    position: relative;
    overflow: hidden;
}

@media all and (max-width: 768px) {
    .col--2 {
        position: absolute;
        z-index: 0;
        left: 0;
        top: 0;
    }
}

/*  ========================================================================== 
    Column Content
    ========================================================================== */
.col__content {
    position: relative;
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    -webkit-box-pack: end;
    justify-content: flex-end;
    overflow: hidden;
    height: 100%;
    padding: 6vw 6vw 10vw;
}

@media all and (max-width: 768px) {
    .col__content {
        width: 80%;
        transition: all .3s ease-in;
    }
}

.col__content--1 {
    background: #3c58a7;
}

@media all and (max-width: 768px) {
    .col__content--1 {
        background: #3c58a7;
    }
}

.col__content--2 {
    background: #6d6b69e6;
}

@media all and (max-width: 768px) {
    .col__content--2 {
        background: #6d6b69e6;
    }
}

.col__content--3 {
    background: #706e62;
}

@media all and (max-width: 768px) {
    .col__content--3 {
        background: #706e62;
    }
}

.col__content--4 {
    background: #94723e;
}

@media all and (max-width: 768px) {
    .col__content--4 {
        background: #94723e;
    }
}

.col__content--5 {
    background: rgb(231 233 234 / 100%);
}

@media all and (max-width: 768px) {
    .col__content--5 {
        background: rgb(231 233 234 / 72%);
    }
}

.col__content--6 {
    background: rgb(154 84 84 / 100%);
}

@media all and (max-width: 768px) {
    .col__content--6 {
        background: rgb(154 84 84 / 90%);
    }
}

.col__content--7 {
    background: #a1642f;
}

@media all and (max-width: 768px) {
    .col__content--7 {
        background: #a1642f;
    }
}

.col__content--8 {
    background: #518188;
}

@media all and (max-width: 768px) {
    .col__content--8 {
        background: #518188;
    }
}

.col__content--9 {
    background: #afb1ba;
}

@media all and (max-width: 768px) {
    .col__content--9 {
        background: rgb(175 177 186 / 87%);
    }
}

/*  Column Content
    ========================================================================== */
.col__content-title {
    margin: 0 0 2vw;
    font-size: 11vw;
    letter-spacing: -0.8vw;
}

@media all and (max-width: 768px) {
    .col__content-title {
        margin: 0 0 6vw;
        font-size: 18vw;
    }
}

.col__content-wrap {
    display: -webkit-box;
    display: flex;
    -webkit-box-pack: end;
    justify-content: flex-end;
}

@media all and (max-width: 768px) {
    .col__content-wrap {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        flex-direction: column;
    }
}

.col__content-txt {
    font-family: '方正姚体';
    max-width: 22vw;
    -webkit-box-ordinal-group: 3;
    order: 2;
    margin-left: 32px;
}

@media all and (max-width: 768px) {
    .col__content-txt {
        -webkit-box-ordinal-group: 2;
        order: 1;
        max-width: 40vw;
        margin: 0 0 10vw 10vw;
    }
}

.slide-link {
    position: relative;
    -webkit-box-ordinal-group: 2;
    order: 1;
    display: -webkit-box;
    display: flex;
    -webkit-box-pack: end;
    justify-content: flex-end;
    width: 75px;
    height: 53px;
}

.slide-link>* {
    pointer-events: none;
}

@media all and (max-width: 768px) {
    .slide-link {
        -webkit-box-ordinal-group: 3;
        order: 2;
        align-self: flex-end;
    }
}

.slide-link__circ {
    width: 53px;
    height: 53px;
    border-radius: 50%;
    border: 1px solid var(--dark);
}

.slide-link__line {
    position: absolute;
    top: 25px;
    left: 0;
    width: 64px;
    height: 3px;
    background: var(--dark);
}

.line {
    overflow: hidden;
}

.line:nth-of-type(even) {
    margin-top: -1vw;
}

.line__inner {
    display: block;
}

.slide__scroll-link {
    position: absolute;
    right: -113px;
    bottom: 3.5vw;
    display: block;
    width: 140px;
    height: 140px;
    background: var(--dark);
    overflow: hidden;
}

@media all and (max-width: 768px) {
    .slide__scroll-link {
        display: none;
    }
}

.slide__scroll-line {
    position: absolute;
    left: 26px;
    bottom: 0;
    width: 1px;
    height: 100%;
}

.slide--0 .slide__scroll-line {
    background: #C0D7D8;
}

.slide--1 .slide__scroll-line {
    background: #D8C0C0;
}

.slide--2 .slide__scroll-line {
    background: #CDD5E0;
}

.slide--3 .slide__scroll-line {
    background: #F3D3B0;
}

.slide--4 .slide__scroll-line {
    background: #F8E9E6;
}

.slide--5 .slide__scroll-line {
    background: #D1E2EC;
}

.slide--6 .slide__scroll-line {
    background: #D7CEC5;
}

.slide--7 .slide__scroll-line {
    background: #D7CEC5;
}

.slide--8 .slide__scroll-line {
    background: #D7CEC5;
}

.slide--8 .slide__scroll-line {
    background: #D7CEC5;
}

/*  ========================================================================== 
    Column Image
    ========================================================================== */
.col__image-wrap {
    position: absolute;
    left: 0;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    width: 100%;
    height: 160vh;
}

.img {
    -o-object-fit: cover;
    object-fit: cover;
    width: 100%;
    height: 100%;
}

/*  ========================================================================== 
    Footer
    ========================================================================== */
.footer {
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    background: #cecece;
}

.footer__link {
    font-size: 5vw;
    color: var(--dark);
    text-decoration: none;
    font-family: 'Cinzel', serif;
}

.footer__link-top {
    position: absolute;
    left: 50%;
    bottom: 100px;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    width: 100px;
    height: 100px;
    background: var(--dark);
    font-size: 18px;
    color: white;
    text-decoration: none;
    font-family: 'Cinzel', serif;
}

.footer__link-top-line {
    position: absolute;
    top: -50px;
    left: 50%;
    width: 1px;
    height: 50px;
    background: var(--dark);
}

.footer__copyright {
    position: absolute;
    left: 50%;
    bottom: 24px;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
}